Subject: RE: Premption of lsps

From: "Reddy, Vikram" <[email-masked]>
Date: Wed, 6 Mar 2002 06:44:00 -0500

RFC 3209 Section 4.7 talks about this for RSVP-TE.
 
To answer your question, (iv)  and (v) are ensured by the the 
Session Attribute object(optional) in the PATH (PATH Refresh)message.
The attributes Setup Priority and Holding Priority in the Session Attribute
Object are used or this pupose.
 
Vikram.

-----Original Message-----
From: Ashwin C. Prabhu [mailto:[email-masked]]
Sent: Wednesday, March 06, 2002 3:16 AM
To: [email-masked]; [email-masked]
Subject: Premption of lsps

Hello All
 
  In RFC 2702 section 5.8 says
 
  "   A traffic trunk, say "A", can preempt another traffic trunk, say "B",
   only if *all* of the following five conditions hold: (i) "A" has a
   relatively higher priority than "B", (ii) "A" contends for a resource
   utilized by "B", (iii) the resource cannot concurrently accommodate
   "A" and "B" based on certain decision criteria,
   (iv) "A" is preemptor enabled, and (v) "B" is preemptable"
 
  I would like to know how does the (iv) and (v)  criteria is ensured ? 
  Is there any way the signalling protocol convey this ?? 

Thanks in advance
Ashwin
 
----------------------------------------------------------------------------
----------------------------------------
This email and any files transmitted with it are confidential and
intended solely for the use of the individual or entity to whom
they are addressed. If you have received this email in error please notify
the
originator of the message. 

Any views expressed in this message are those of the individual
sender, except where the sender specifies and with authority,
states them to be the views of Huawei Technologies India Pvt. Ltd.

---

From: "Ashwin C. Prabhu" <[email-masked]>
Date: Wed, 6 Mar 2002 17:27:48 +0530

Hi 
 
 I didn't get you could you please explain more about it ?
 
  I thought the seup priority and hold priority just 
  say about ( i ) the relative priorities of the traffic trunk. 
 
  But according to the same section in RFC2702
 
  "The preemption attribute can be used to specify four preempt modes
   for a traffic trunk: (1) preemptor enabled, (2) non-preemptor, (3)
   preemptable, and (4) non-preemptable. A preemptor enabled traffic
   trunk can preempt lower priority traffic trunks designated as
   preemptable. A traffic specified as non-preemptable cannot be
   preempted by any other trunks, regardless of relative priorities. A
   traffic trunk designated as preemptable can be preempted by higher
   priority trunks which are preemptor enabled."
 
  So i guess its not the same.  Am i right ?

Ashwin

-----Original Message-----
From: Reddy, Vikram [mailto:[email-masked]]
Sent: Wednesday, March 06, 2002 4:44 PM
To: 'Ashwin C. Prabhu'; [email-masked]; [email-masked]
Subject: RE: Premption of lsps

 
Vikram.

-----Original Message-----
From: Ashwin C. Prabhu [mailto:[email-masked]]
Sent: Wednesday, March 06, 2002 3:16 AM
To: [email-masked]; [email-masked]
Subject: Premption of lsps

Hello All

 

Thanks in advance
Ashwin

--------------------------------------------------------------------------------------------------------------------
This email and any files transmitted with it are confidential and
intended solely for the use of the individual or entity to whom
they are addressed. If you have received this email in error please notify the
originator of the message.

---

From: "Ravi Sankar Mantha" <[email-masked]>
Date: Wed, 6 Mar 2002 17:41:12 +0530

When you use CRLDP as signaling protocol, u can use Setup and Hold
Priorities in the Pre-emption TLV in Label Request Message to serve the
purpose !
  By increasing the setup priority, u can make the trunk, preemptor enabled
!, that means it will be able to preempt the connectiones whose hold
priority is lower ( numerically higher in case of CRLDP) than the present
connection.
  By incresing the hold priority, u can make it non-preemptible, in other
way, B is preemtible by any connection whose Setup Priority is higher than
B's Hold Priority.
  Essence is, By choosing values for Setup and Hold Priorities for a
connection, u will be able to achieve the preemtable, pre-empting effect !,
that is to mean, operator assigns a priority and nature of the connection
 preempting, non-preempting, preemptable, non-preemptable), then, we have to
choose the setup and hold priorities to this connection to achieve this
effect !
   Hope this is clear.
regards,
Ravi
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Ashwin C.
Prabhu
Sent: Wednesday, March 06, 2002 4:46 PM
To: [email-masked]; [email-masked]
Subject: Premption of lsps

Hello All

Thanks in advance
Ashwin

---

From: "Reddy, Vikram" <[email-masked]>
Date: Wed, 6 Mar 2002 07:42:15 -0500

Hi 
 
If you are asking of a seperate set of bits to tell whether it is preemtion
enabled, preemptable etc.,
I do not think RSVP-TE has it.
 
But you can get the same effect by using the Setup and Holding priorities.
Please note  that 0-7 is the Prio range, 0 being the highest and 7 being the
least.
Also there is a rule that an LSP can preempt another LSP only if its set up
prio is strictly 
greater than the holding prio of the other LSP.
 
To get the effect you want wrt premtible etc use the following:
 
For preemptor enabled-- UseSetup Prio <7 
For non-preemptor-- Use Set Up prio =7.
 
7 is the least Set Up prio . An LSP with Set up prio =7 cannot preempt any
LSP (incuding LSPs with holding prio=7.)
Therefore an LSP with Setup prio is non-preemptor for all practical
purposes.
 
For Preemptible-- Use Holdign prio>0 
For Non-Premptible-- Use Holding Prio =0 .
0 being the highest holding prio for an LSP cannot be preempted by any LSP(
including one with Set Up prio=0).
Therefore an LSP with holdign Piro =0 is non preemptible for all practical
purposes and an LSP with holding prio != 0
is preemptible by an LSP with greater Set Up prio.

Hope this helps.
Vikram Reddy.

-----Original Message-----
From: Ashwin C. Prabhu [mailto:[email-masked]]
Sent: Wednesday, March 06, 2002 3:58 AM
To: Reddy, Vikram; [email-masked]; [email-masked]
Subject: RE: Premption of lsps

Hi 

 

Ashwin

-----Original Message-----
From: Reddy, Vikram [mailto:[email-masked]]
Sent: Wednesday, March 06, 2002 4:44 PM
To: 'Ashwin C. Prabhu'; [email-masked]; [email-masked]
Subject: RE: Premption of lsps

 
Vikram.

-----Original Message-----
From: Ashwin C. Prabhu [mailto:[email-masked]]
Sent: Wednesday, March 06, 2002 3:16 AM
To: [email-masked]; [email-masked]
Subject: Premption of lsps

Hello All

 

Thanks in advance
Ashwin

---

From: "Gowda, Sidde" <[email-masked]>
Date: Tue, 12 Mar 2002 21:11:16 -0800

Hi
 
No need to signal this information separately. Each LSP has two attributes
called setup priority and hold priority(preemption T-L-V). LSPs are
established based on setup priority and maintain their resources based on
hold priority. If an LSP is unable to establish a path due to a lack of
resources, its setup priority will be compared with the hold priority of the
already existing LSP. If this setup priority is higher than the hold
priority then preemption may occur(ie. existing LSP is preemptable or
non-preemptable). There in nothing like enabling or disabling the
preemption. Based on the value of priority (0-high 7-low) the path can
preempted. Higher priority LSPs take precedence over lower priority LSPs.
Hope this helps
 
Siddu

-----Original Message-----
From: Ashwin C. Prabhu [mailto:[email-masked]]
Sent: Wednesday, March 06, 2002 5:28 PM
To: Reddy, Vikram; [email-masked]; [email-masked]
Subject: RE: Premption of lsps

Hi 

 

Ashwin

-----Original Message-----
From: Reddy, Vikram [mailto:[email-masked]]
Sent: Wednesday, March 06, 2002 4:44 PM
To: 'Ashwin C. Prabhu'; [email-masked]; [email-masked]
Subject: RE: Premption of lsps

 
Vikram.

-----Original Message-----
From: Ashwin C. Prabhu [mailto:[email-masked]]
Sent: Wednesday, March 06, 2002 3:16 AM
To: [email-masked]; [email-masked]
Subject: Premption of lsps

Hello All

 

Thanks in advance
Ashwin